Status: New Start date: 15 Apr 2021

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.35 hour

Description

ElimMat is rather slow for larger inputs:

/**/ t0 := CpuTime(); M := ElimMat(1..50,100); TimeFrom(t0);

0.470

/**/ t0 := CpuTime(); M := ElimMat(1..100,200); TimeFrom(t0);

3.681

Complexity appears to cubic.

Related issues:

Related to CoCoALib - Slug #1057: Slug: Polynomial ring contructor slow with ... In Progress 04 May 2017

History

#1 - 15 Apr 2021 10:15 - John Abbott

- Related to Slug #1057: Slug: Polynomial ring contructor slow with (big) matrix ordering added

#2 - 15 Apr 2021 10:17 - John Abbott

My guess is that the code repeatedly calls rank, but we should be able to be "clever" in some common cases.

Is it really worth making the effort?  Don't know; hence low priority.

#3 - 16 Feb 2024 17:27 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900

#4 - 22 Mar 2024 09:29 - John Abbott

I though we had a class for incremental gaussian reduction.  That should be useful in this case!

We can also make a much faster impl for the case of normal elim orders with standard grading.
